Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class MultipleAlignmentInputSequence.MultipleAlignmentColumn

    java.lang.Object
      calhoun.analysis.crf.io.MultipleAlignmentInputSequence.MultipleAlignmentColumn

Enclosing class:
  MultipleAlignmentInputSequence

    public class MultipleAlignmentInputSequence.MultipleAlignmentColumn

extends java.lang.Object

represents the column of the alignment at a given position on the reference sequence

Constructor Summary
`MultipleAlignmentInputSequence.MultipleAlignmentColumn(int pos)` constructs the column at this position

Method Summary
`MultipleAlignmentInputSequence` | `getMultipleAlignment()` returns the multiple alignment input sequence that this column comes from.
`RootedBinaryPhylogeneticTree` | `getTree()` returns the tree for this alignment
`int` | `getUniqueHash()` returns a hash value for the characters in this column
`char` | `nucleotide(int spec)` returns the value of this position in the alignment for the given species
`int` | `numSpecies()` returns the number of species in the alignment

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleAlignmentInputSequence.MultipleAlignmentColumn

    public MultipleAlignmentInputSequence.MultipleAlignmentColumn(int pos)

  constructs the column at this position

Method Detail

### getMultipleAlignment

    public MultipleAlignmentInputSequence getMultipleAlignment()

  returns the multiple alignment input sequence that this column comes from.

  Returns:
    the owning input sequence

### numSpecies

    public int numSpecies()

  returns the number of species in the alignment

  Returns:
    the number of species in the alignment

### nucleotide

    public char nucleotide(int spec)

  returns the value of this position in the alignment for the given species

  Parameters:
    `spec` - the species to retrieve. The value will be the index of the species in the `speciesName` list.
  Returns:
    the character for this species in this column

### getUniqueHash

    public int getUniqueHash()

  returns a hash value for the characters in this column

  Returns:
    the hash value for the column

### getTree

    public RootedBinaryPhylogeneticTree getTree()

  returns the tree for this alignment

  Returns:
    the species tree for the alignment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD